package com.ruoyi.framework.recovery.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 回收发售门店对象 rec_stores
 *
 * @author jin
 * @date 2024-11-16
 */
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class RecStores extends BaseEntity
{
    private static final long serialVersionUID = -4720608856018159687L;

    /** 商品发售门店id */
    private Long id;

    /** 门店名称 */
    @Excel(name = "门店名称")
    private String storesName;

    /** 发售方式 */
    @Excel(name = "发售方式")
    private String saleType;

    /** 发售时间 */
    @Excel(name = "发售时间")
    private String saleTime;

    /** 中签时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "中签时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkTime;

    /** 中签通知方式 */
    @Excel(name = "中签通知方式")
    private String checkType;

    /** 购买时间 */
    @Excel(name = "购买时间")
    private String buyTime;

    /** 发售链接 */
    @Excel(name = "发售链接")
    private String saleLink;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createDate;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updateDate;

    /** 商品id */
    @Excel(name = "商品id")
    private String commondityId;

    /** 门店位置 */
    @Excel(name = "门店位置")
    private String storesAddress;

    /**
     * 是否通知, T 通知， F 不通知
     */
    @Excel(name = "是否通知")
    private String notice;

    /**
     * 发售数量
     */
    @Excel(name = "发售数量")
    private Long saleNum;

    /**
     * 发售城市id
     */
    @Excel(name = "发售城市id")
    private String cityId;

    /**
     * 发售城市
     */
    @Excel(name = "发售城市")
    private String city;

    @Excel(name = "发售门店图片")
    private String images;

    /**
     * 跳转链接
     */
    @Excel(name = "跳转链接")
    private String skipLink;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setStoresName(String storesName)
    {
        this.storesName = storesName;
    }

    public String getStoresName()
    {
        return storesName;
    }
    public void setSaleType(String saleType)
    {
        this.saleType = saleType;
    }

    public String getSaleType()
    {
        return saleType;
    }
    public void setSaleTime(String saleTime)
    {
        this.saleTime = saleTime;
    }

    public String getSaleTime()
    {
        return saleTime;
    }
    public void setCheckTime(Date checkTime)
    {
        this.checkTime = checkTime;
    }

    public Date getCheckTime()
    {
        return checkTime;
    }
    public void setCheckType(String checkType)
    {
        this.checkType = checkType;
    }

    public String getCheckType()
    {
        return checkType;
    }
    public void setBuyTime(String buyTime)
    {
        this.buyTime = buyTime;
    }

    public String getBuyTime()
    {
        return buyTime;
    }
    public void setSaleLink(String saleLink)
    {
        this.saleLink = saleLink;
    }

    public String getSaleLink()
    {
        return saleLink;
    }
    public void setCreateDate(Date createDate)
    {
        this.createDate = createDate;
    }

    public Date getCreateDate()
    {
        return createDate;
    }
    public void setUpdateDate(Date updateDate)
    {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate()
    {
        return updateDate;
    }
    public void setCommondityId(String commondityId)
    {
        this.commondityId = commondityId;
    }

    public String getCommondityId()
    {
        return commondityId;
    }
    public void setStoresAddress(String storesAddress)
    {
        this.storesAddress = storesAddress;
    }

    public String getStoresAddress()
    {
        return storesAddress;
    }

    public String getNotice() {
        return notice;
    }

    public void setNotice(String notice) {
        this.notice = notice;
    }

    public Long getSaleNum() {
        return saleNum;
    }

    public void setSaleNum(Long saleNum) {
        this.saleNum = saleNum;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getImages() {
        return images;
    }

    public void setImages(String images) {
        this.images = images;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getSkipLink() {
        return skipLink;
    }

    public void setSkipLink(String skipLink) {
        this.skipLink = skipLink;
    }

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("RecStores{");
        sb.append("id=").append(id);
        sb.append(", storesName='").append(storesName).append('\'');
        sb.append(", saleType='").append(saleType).append('\'');
        sb.append(", saleTime='").append(saleTime).append('\'');
        sb.append(", checkTime=").append(checkTime);
        sb.append(", checkType='").append(checkType).append('\'');
        sb.append(", buyTime='").append(buyTime).append('\'');
        sb.append(", saleLink='").append(saleLink).append('\'');
        sb.append(", createDate=").append(createDate);
        sb.append(", updateDate=").append(updateDate);
        sb.append(", commondityId='").append(commondityId).append('\'');
        sb.append(", storesAddress='").append(storesAddress).append('\'');
        sb.append(", notice='").append(notice).append('\'');
        sb.append(", saleNum=").append(saleNum);
        sb.append(", cityId='").append(cityId).append('\'');
        sb.append(", city='").append(city).append('\'');
        sb.append(", images='").append(images).append('\'');
        sb.append(", skipLink='").append(skipLink).append('\'');
        sb.append('}');
        return sb.toString();
    }
}
